--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: ""
constants: []

full_name: Class
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: cattr
- !ruby/object:RI::MethodSummary 
  name: cattr_accessor
- !ruby/object:RI::MethodSummary 
  name: cattr_reader
- !ruby/object:RI::MethodSummary 
  name: cattr_writer
- !ruby/object:RI::MethodSummary 
  name: class_extend
- !ruby/object:RI::MethodSummary 
  name: descendents
- !ruby/object:RI::MethodSummary 
  name: methodize
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: pathize
- !ruby/object:RI::MethodSummary 
  name: prepend
- !ruby/object:RI::MethodSummary 
  name: to_proc
name: Class
superclass: Object
